# string::get-length

[This is preliminary documentation and subject to change.]

Returns the length of the specified string.

### Usage

`int string::get-length(s)`

### Parameters

Name | Type | Description
--- | --- | ---
s | string | input string

### Return Value

The string's length.

### Examples

-     string::get-length('foo') ==> 3

-     string::get-length('') ==> 0

### Requirements

Assembly: NAnt.Core (0.85.1932.0)